Bug 1199506 - Missing dependency on python-setuptools
Summary: Missing dependency on python-setuptools
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-slimit
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 14:17 UTC by Jonathan Underwood
Modified: 2015-07-16 23:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-02 17:09:31 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-03-06 14:17:21 UTC
Description of problem:
I recently needed to use slimit during a package build, so added a BuildRequires for python-slimit. During package build, rpm bails out with this:

+ slimit -m src/swfobject.js
Traceback (most recent call last):
  File "/usr/bin/slimit", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources
error: Bad exit status from /var/tmp/rpm-tmp.xryhzY (%build)
    Bad exit status from /var/tmp/rpm-tmp.xryhzY (%build)

So, it seems that python-slimit depends on python-setuptools, but that's not actually pulled in when installing python-slimit. this might be the python automatic dependency generator missing it. Anyway, a fix is to add Requires: python-setuptools to the python-slimit package.


Version-Release number of selected component (if applicable):
python-slimit-0.7.4-5.fc20.noarch

Comment 1 Michael Schwendt 2015-03-06 19:55:55 UTC
> the python automatic dependency generator

FYI, there is no such thing for Python Modules.

Comment 2 Jonathan Underwood 2015-03-07 11:39:53 UTC
(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #1)
> > the python automatic dependency generator
> 
> FYI, there is no such thing for Python Modules.

Um yeah, not sure what I was thinking when I typed that.:)

Comment 3 Fedora End Of Life 2015-05-29 13:43:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-30 00:13:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jonathan Underwood 2015-06-30 00:20:25 UTC
Still an issue in F22:

# rpm -q --requires python-slimit
/usr/bin/python
python(abi) = 2.7
python-odict
python-ply >= 3.4
python2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

# rpm -q python-slimit
python-slimit-0.7.4-6.fc21.noarch

Comment 6 Stephen Gallagher 2015-06-30 14:58:18 UTC
Sorry for the delay on this. I'm going to update to the latest upstream release this week.

Comment 7 Fedora Update System 2015-06-30 19:48:07 UTC
python-slimit-0.8.1-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-slimit-0.8.1-1.el6.1

Comment 8 Fedora Update System 2015-06-30 19:48:14 UTC
python-slimit-0.8.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-slimit-0.8.1-1.fc22

Comment 9 Fedora Update System 2015-06-30 22:38:43 UTC
Package python-slimit-0.8.1-1.el6.1:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-slimit-0.8.1-1.el6.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6989/python-slimit-0.8.1-1.el6.1
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-07-02 17:09:31 UTC
python-slimit-0.8.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-07-16 23:44:08 UTC
python-slimit-0.8.1-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.